# vim: set ft=spec: -*- spec -*-
# $Id: fortune-mod,v 1.3 2004/02/26 23:05:17 raorn Exp $

Name: fortune-mod
Version: 1.0
Release: ipl36mdk

Summary: A program which will display a fortune
License: BSD
Group: Games/Other

Packager: Sir Raorn <raorn@altlinux.ru>

Source: ftp://sunsite.unc.edu/pub/Linux/games/amusements/fortune-mod-9708.tar.bz2
Source1: kernelnewbies-fortunes.tar.gz
Source2: bofh-excuses.tar.bz2

Patch0: fortune-mod-offense.patch
Patch1: fortune-mod-1.0-remove-offensive.patch
Patch2: fortune-mod-1.0-alt-utf-8-data.patch

%description
Fortune-mod contains the ever-popular fortune program, which will
display quotes or witticisms. Fun-loving system administrators can add
fortune to users' .login files, so that the users get their dose of
wisdom each time they log in.

%prep
%setup -q -n fortune-mod-9708

%patch0 -p1
%patch1 -p0
%patch2 -p1

%build
%make_build COOKIEDIR=%_gamesdatadir/fortune \
	FORTDIR=%_gamesbindir BINDIR=%_bindir
%make_build COOKIEDIR=%_datadir/games/fortune fortune/fortune.man

%install
%make_install	FORTDIR=%buildroot/%_gamesbindir \
	COOKIEDIR=%buildroot%_gamesdatadir/fortune \
	BINDIR=%buildroot/%_bindir \
	BINMANDIR=%buildroot/%_mandir/man1 \
	FORTMANDIR=%buildroot/%_mandir/man6 \
	install

%__tar zxvf %SOURCE1 -C %buildroot%_gamesdatadir/fortune/
%__rm -f %buildroot%_gamesdatadir/fortune/men-women*

bzcat %SOURCE2 | %__tar xvf - -C %buildroot%_gamesdatadir/fortune/

%files
%doc README ChangeLog TODO
%_gamesbindir/fortune
%_bindir/strfile
%_bindir/unstr
%_gamesdatadir/fortune
%_mandir/man?/*

%changelog
* Fri May 14 2004 Sir Raorn <raorn@altlinux.ru> 1.0-ipl36mdk
- Rebuilt with new glibc (closes #4118)

* Fri Feb 27 2004 Sir Raorn <raorn@altlinux.ru> 1.0-ipl35mdk
- Fix race when using -m
- Spec cleanup

* Thu Dec 04 2003 Sir Raorn <raorn@altlinux.ru> 1.0-ipl34mdk
- New packager
- Recode fortune text when fortune(6) called with -m option (closes #2725)
- Move strfile and unstr from %%_sbindir to %%_bindir

* Sun Jun 01 2003 Sir Raorn <raorn@altlinux.ru> 1.0-ipl33mdk
- Keep fortune file in utf-8 encoding and use iconv for recoding
  to current codeset. Thanx to Alexander Bokovoy for iconv(3)
  examples
- Added Packager tag
- Some spec cleanups

* Thu Nov 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-ipl32mdk
- rebuild

* Wed Mar 13 2002 Stanislav Ievlev <inger@altlinux.ru> 1.0-ipl31mdk
- Adopted for ALT

* Tue Jan 29 2002 Preston Brown <pbrown@redhat.com>
- more editorial work

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun Dec 23 2001 Mike A. Harris <mharris@redhat.com> 1.0-17
- Added bofh-excuses and kernelnewbies fortune files

* Tue Sep  4 2001 Mike A. Harris <mharris@redhat.com> 1.0-16
- Remove an offensive remark.
- s/Copyright/License/
- Fix buildroot line.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Tue Jun  6 2000 Bill Nottingham <notting@redhat.com>
- rebuild; FHS stuff

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Fri Jun 25 1999 Guido Flohr <gufl0000@stud.uni-sb.de>
- create fortune manpage without buildroot before installation

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Thu Dec 17 1998 Michael Maher <mike@redhat.com>
- rebuilt for 6.0

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- new version
- spec file cleanups

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc


